Subject: Re: 2.6.23-rc4-mm1: e1000e napi lockup

From: "Kok, Auke" <[email-masked]>
Date: Sun, 09 Sep 2007 23:31:47 -0700

Jiri Slaby wrote:
> Kok, Auke napsal(a):
>> Jiri Slaby wrote:
>>> I still have problems with the driver. When I do `ip link set eth0
>>> up', ksoftirq
>>> runs with 100 % cpu time, so I think you endlessly re-schedule some
>>> timer (or
>>> the new napi layer?)
>> something changed in the logic and e1000e apparently does something
>> wrong. I'll look into it on monday and resubmit a fixup patch (see
>> robert olsson's mail as well discussing this issue)
> 
> he's posted me a patch, but no change on my side :(.

that's what I feared/thought as well when I saw his patch - e1000e and e1000 are 
slightly different so the exit condition will be as well.

> Anyway, I'm going away of the box on monday (today). will be back on fri to
> test patches :).

I'll be on top of it. Since e1000e will be merged I need to get this workign 
properly before the merge window opens - no pressure :)

Auke